package com.kmall.admin.service.impl.mk.store;

import com.kmall.admin.dao.mk.store.MkStoreTicketDiscountGoodsDao;
import com.kmall.admin.entity.mk.store.MkStoreTicketDiscountGoodsEntity;
import com.kmall.admin.service.mk.store.MkStoreTicketDiscountGoodsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * 门店优惠券活动商品，参与优惠的商品Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-07 16:06:28
 */
@Service("mkStoreTicketDiscountGoodsService")
public class MkStoreTicketDiscountGoodsServiceImpl implements MkStoreTicketDiscountGoodsService {
    @Autowired
    private MkStoreTicketDiscountGoodsDao mkStoreTicketDiscountGoodsDao;

    @Override
    public MkStoreTicketDiscountGoodsEntity queryObject(Integer discGoodId) {
        return mkStoreTicketDiscountGoodsDao.queryObject(discGoodId);
    }

    @Override
    public List<MkStoreTicketDiscountGoodsEntity> queryList(Map<String, Object> map) {
        return mkStoreTicketDiscountGoodsDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return mkStoreTicketDiscountGoodsDao.queryTotal(map);
    }

    @Override
    public int save(MkStoreTicketDiscountGoodsEntity mkStoreTicketDiscountGoods) {
        return mkStoreTicketDiscountGoodsDao.save(mkStoreTicketDiscountGoods);
    }

    @Override
    public int update(MkStoreTicketDiscountGoodsEntity mkStoreTicketDiscountGoods) {
        return mkStoreTicketDiscountGoodsDao.update(mkStoreTicketDiscountGoods);
    }

    @Override
    public int delete(Integer discGoodId) {
        return mkStoreTicketDiscountGoodsDao.delete(discGoodId);
    }

    @Override
    public int deleteBatch(Integer[]discGoodIds) {
        return mkStoreTicketDiscountGoodsDao.deleteBatch(discGoodIds);
    }
}
